Bug 180166 - nash "mkrootdev" and "switchroot" only work with a specific pathname
nash "mkrootdev" and "switchroot" only work with a specific pathname
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-02-06 10:47 EST by james
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 01:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description james 2006-02-06 10:47:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
Despite the descriptions in the nash manpage, the "mkrootdev <path>" and "switchroot <newrootpath>" will now only work with specific path names, rather than any general pathname or newrootpath.  Specifically:

 "mkrootdev /dev/root" will work, but
 "mkrootdev /dev/rootdev" fails, and
 "mkrootdev /rootdev" fails.

 "switchroot --movedev /sysroot" will work, but
 "switchroot --movedev /rootdir" fails - with device mounted, of course.

The commands use to work as described by the manpage.  It would seem that either nash is broken - has hardcoded paths now? - or the manpage needs to be updated.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1."mkrootdev /dev/rootdev" or
  "switchroot --movedev /rootdir"
  in initrd init script.

Actual Results:  kernel panic on boot - "attempted to kill init", which usually means that the root file system was not mounted.

Expected Results:  normal boot

Additional info:
Comment 1 Peter Jones 2006-02-21 01:46:14 EST
I'll gladly apply any patches contributed which update the man pages and reflect
current behavior.  For the time being, though, I'm going to close this bug.

Note You need to log in before you can comment on or make changes to this bug.